// SPDX-FileCopyrightText: © 2025 Nøkken.io <nokken.io@proton.me>
// SPDX-License-Identifier: AGPL-3.0
//
// add_edit_notes.dart
//
import 'package:flutter/material.dart';
import 'package:nokken/src/core/ui/widgets/shared_widgets.dart';
import 'package:nokken/src/core/ui/theme/app_theme.dart';

/// Notes Section for additional information (optional)
class NotesSection extends StatelessWidget {
  final TextEditingController controller;

  const NotesSection({
    super.key,
    required this.controller,
  });

  @override
  Widget build(BuildContext context) {
    return SharedWidgets.basicCard(
      context: context,
      title: 'Notes',
      children: [
        TextFormField(
          controller: controller,
          decoration: AppTheme.defaultTextFieldDecoration.copyWith(
            hintText: 'Add any additional notes here',
          ),
          maxLines: 3,
        ),
      ],
    );
  }
}
